Package twisted :: Package manhole :: Module service :: Class Service |
[frames | no frames]

## Class Service

    Service --+
              |
             Service

Method Summary
| `__init__(self, unsafeTracebacks)`
| ``__getstate__`(self)` This returns the persistent state of this shell factory.
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`
| ``startService`(self)`
| ``stopService`(self)`

Class Variable Summary
`str` | `welcomeMessage` = `'\nHello %(you)s, welcome to Manhole on...`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Method Details

### __getstate__(self) This returns the persistent state of this shell factory. Overrides: `twisted.application.service.Service.__getstate__`

Class Variable Details

    ### welcomeMessage Type: `str` Value:
        '''
        Hello %(you)s, welcome to Manhole on %(host)s.
        %(longversion)s.

        '''

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net